Subject: Re: bug#12993: Wrong icon for Cygw32-Emacs

From: Ken Brown <[email-masked]>
Date: Sun, 07 Apr 2013 18:44:36 -0400

On 4/7/2013 2:48 PM, Eli Zaretskii wrote:
>> Date: Sun, 07 Apr 2013 14:11:48 -0400
>> From: Ken Brown <[email-masked]>
>> Cc: [email-masked], Angelo Graziosi <[email-masked]>
>>
>> At some point could you update this fix so that it works on 64-bit
>> Cygwin also?
>
> What are the problems that prevent this from working with 64-bit
> Cygwin?  I presume there's a 64-bit windres.exe, and nt/emacs.rc is
> already set up to cater to 64-bit builds.  What am I missing?

The problem is that the build fails.  There's no error message 
explaining the failure, just "Makefile:785: recipe for target 
`bootstrap-emacs.exe' failed".  But the build succeeds if I remove the 
attempt to compile Windows resources:

--- configure.ac        2013-03-18 05:26:56 +0000
+++ configure.ac        2013-03-23 15:09:15 +0000
@@ -1524,10 +1525,12 @@
    W32_OBJ="$W32_OBJ w32xfns.o w32select.o w32uniscribe.o"
    W32_LIBS="$W32_LIBS -lkernel32 -luser32 -lgdi32 -lole32 -lcomdlg32"
    W32_LIBS="$W32_LIBS -lusp10 -lcomctl32 -lwinspool"
-  W32_RES="emacs.res"
+  dnl W32_RES="emacs.res"
+  W32_RES=""
    # Tell the linker that emacs.res is an object (which we compile from
    # the rc file), not a linker script.
-  W32_RES_LINK="-Wl,-bpe-i386 -Wl,emacs.res"
+  dnl W32_RES_LINK="-Wl,-bpe-i386 -Wl,emacs.res"
+  W32_RES_LINK=""
  fi
  AC_SUBST(W32_OBJ)
  AC_SUBST(W32_LIBS)

I know nothing about Windows resources, so I have no idea what's causing 
the build failure.

Ken